Skip to main content
Search customers
curl --request POST \
  --url https://api.salesbricks.com/api/v2/customers/search \
  --header 'Content-Type: application/json' \
  --header 'X-SALESBRICKS-KEY: <api-key>' \
  --data '
{
  "name": "<string>",
  "external_id": "<string>",
  "stripe_customer_id": "<string>"
}
'
{
  "count": 123,
  "results": [
    {
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "subscriptions": [
        {
          "subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "status": "ACTIVE",
          "name": "<string>",
          "starts_at": "2023-12-25",
          "ends_at": "2023-12-25"
        }
      ],
      "external_id": "<string>",
      "address": {
        "line_1": "<string>",
        "city": "<string>",
        "region": "<string>",
        "zip": "<string>",
        "country": "<string>",
        "line_2": "<string>"
      },
      "stripe_customer_id": "<string>"
    }
  ],
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}

Authorizations

X-SALESBRICKS-KEY
string
header
required

API key for authentication

Query Parameters

limit
integer

Number of results to return per page.

offset
integer

The initial index from which to return the results.

Body

Input serializer for customer search requests. Note: Pagination (limit/offset) is handled via query params, not POST body.

name
string

Search by customer name (case-insensitive substring match)

external_id
string

Search by external_id (exact match)

stripe_customer_id
string

Search by Stripe customer ID (exact match)

Response

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"